[project]
authors = [
  {name = "Sett Sarverott", email = "sett@sarverott.com"},
]
classifiers = [
  "Programming Language :: Python :: 3",
  "License :: OSI Approved :: GNU General Public License v3 (GPLv3)",
  "Operating System :: OS Independent",
  "Natural Language :: English",
  "Natural Language :: Polish",
  "Development Status :: 1 - Planning",
  "Environment :: Plugins",
  "Environment :: Console",
  "Intended Audience :: Developers",
  "Intended Audience :: Education",
  "Intended Audience :: Science/Research",
  "Intended Audience :: Religion",
  "Programming Language :: Python :: Implementation",
  "Programming Language :: Python",
  "Topic :: Adaptive Technologies",
  "Topic :: Artistic Software",
  "Topic :: Communications",
  "Topic :: Database",
  "Topic :: Education",
  "Topic :: Religion",
  "Topic :: Scientific/Engineering",
  "Topic :: Scientific/Engineering :: Artificial Intelligence",
  "Topic :: Scientific/Engineering :: Artificial Life",
  "Topic :: Scientific/Engineering :: Information Analysis",
  "Topic :: Scientific/Engineering :: Physics",
  "Topic :: Scientific/Engineering :: Visualization",
  "Topic :: Sociology",
  "Topic :: Sociology :: History",
  "Topic :: Software Development",
  "Topic :: Software Development :: Documentation",
  "Topic :: Software Development :: Libraries",
  "Topic :: Software Development :: Libraries :: Python Modules",
  "Topic :: Software Development :: Libraries :: Application Frameworks",
  "Topic :: System",
  "Topic :: System :: Archiving",
  "Topic :: System :: Archiving :: Compression",
  "Topic :: System :: Clustering",
  "Topic :: System :: Emulators",
  "Topic :: System :: Filesystems",
  "Topic :: System :: Networking",
  "Topic :: System :: Operating System",
  "Topic :: System :: Software Distribution",
]
description = "This Python framework is technomantic mnemonic toolkit of thought model system with singular principles that allows to create memory palace with start placing in darkness."
keywords = ["dark", "darkness", "memory"]
license = {file = "LICENSE"}
maintainers = [
  {name = "Sett Sarverott", email = "sett@sarverott.com"},
]
name = "darkpoint"
readme = "README.md"
version = "0.2.0"
dependencies = [
    "httpx>=0.28.1",
    "mcp[cli]>=1.20.0",
]

[project.urls]
Homepage = "https://github.com/sarverott/darkpoint"
Issues = "https://github.com/sarverott/darkpoint/issues"

[build-system]
build-backend = "setuptools.build_meta"
requires = [
  "setuptools >= 40.9.0",
]

[tool.poetry]
name = "darkpoint"
version = "0.1.0"
description = "ghost inside setternet"
authors = ["Sett Sarverott <sarverott@gmail.com>"]
readme = "README.md"

[tool.setuptools.packages.find]
exclude = ['examples*', 'dev*', 'build*', 'tests*', '.github*']
include = ['src*']

[tool.uv.workspace]
members = [
    "mcp",
]

[dependency-groups]
dev = [
    "argostranslate>=1.11.0",
    "astropy>=7.2.0",
    "chromadb>=1.5.5",
    "fastapi>=0.135.1",
    "go-task-bin>=3.49.1",
    "harmalysis>=0.9.1",
    "langchain>=1.2.12",
    "larc>=0.0.27",
    "litellm>=1.82.4",
    "mappyfile>=1.1.1",
    "marimo>=0.21.0",
    "matplotlib>=3.10.8",
    "minisbd>=0.9.5",
    "miniwdl>=1.13.1",
    "nats-py>=2.14.0",
    "nats-server>=0.0.0",
    "notebook>=7.5.5",
    "numpy>=2.4.3",
    "ollama>=0.6.1",
    "openai>=2.29.0",
    "pandas>=3.0.1",
    "paramiko>=4.0.0",
    "requests>=2.32.5",
    "scipy>=1.17.1",
    "sympy>=1.14.0",
]

[tool.poetry.dependencies]
python = "^3.12"
lark = "^1.2.2"
pyyaml = "^6.0.2"
numpy = "^2.2.6"
